<template>
  <u-modal v-model="showModal" title="" :show-cancel-button="showCancelButton" @confirm="confirm" @cancel="cancel">
    <view class="slot-content">
      <slot></slot>
    </view>
  </u-modal>
</template>

<script>
export default {
  props: {
    showCancelButton: {
      type: Boolean,
      default: true
    },
    confirm: {
      type: Function,
      default: () => { }
    }
  },
  data() {
    return {
      showModal: false
    }
  },
  methods: {
    open() {
      this.showModal = true;
    },
    cancel() {
      this.showModal = false;
    },
  }

}
</script>

<style lang="scss" scoped>
::v-deep .u-model__title {
  padding-top: 0 !important;
}

.slot-content {
  min-height: 400rpx;
  box-sizing: border-box;
  padding-top: 250rpx;
  background: url(../../static/custom/moda-lbg.png) no-repeat center / 100% 100% !important;
}
</style>